export declare class InvoiceAddress {
    /**
    * Indicates whether the address is defined as origin (FROM) or destination (TO)
    */
    'invoiceAddressType'?: InvoiceAddress.InvoiceAddressTypeEnum;
    /**
    * First line of a physical address
    */
    'addressLine1'?: string;
    /**
    * Second line of a physical address
    */
    'addressLine2'?: string;
    /**
    * Third line of a physical address
    */
    'addressLine3'?: string;
    /**
    * Fourth line of a physical address
    */
    'addressLine4'?: string;
    /**
    * City of a physical address
    */
    'city'?: string;
    /**
    * Region or state of a physical address
    */
    'region'?: string;
    /**
    * Postal code of a physical address
    */
    'postalCode'?: string;
    /**
    * Country of a physical address
    */
    'country'?: string;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace InvoiceAddress {
    enum InvoiceAddressTypeEnum {
        FROM,
        TO
    }
}
