export declare class TaxBreakdownComponent {
    /**
    * The unique ID number of this component
    */
    'taxComponentId'?: string;
    /**
    * The type of the jurisdiction
    */
    'type'?: TaxBreakdownComponent.TypeEnum;
    /**
    * The name of the jurisdiction
    */
    'name'?: string;
    /**
    * The percentage of the tax
    */
    'taxPercentage'?: number;
    /**
    * The amount of the tax
    */
    'taxAmount'?: number;
    /**
    * The amount that is taxable
    */
    'taxableAmount'?: number;
    /**
    * The amount that is not taxable
    */
    'nonTaxableAmount'?: number;
    /**
    * The amount that is exempt
    */
    'exemptAmount'?: number;
    /**
    * The state assigned number of the jurisdiction
    */
    'stateAssignedNo'?: string;
    /**
    * Name identifying the region within the country
    */
    'jurisdictionRegion'?: string;
    static discriminator: string | undefined;
    static attributeTypeMap: Array<{
        name: string;
        baseName: string;
        type: string;
    }>;
    static getAttributeTypeMap(): {
        name: string;
        baseName: string;
        type: string;
    }[];
}
export declare namespace TaxBreakdownComponent {
    enum TypeEnum {
        USCOUNTRY,
        USSTATE,
        USCOUNTY,
        USCITY,
        USSPECIAL
    }
}
